/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
b{
    color:var( --e-global-color-primary );
    font-weight: inherit;
}

.invo-form-row {
    display:flex;
    flex-wrap:wrap;
    margin-left:-10px;
    margin-right:-10px;
}
@media (min-width:768px){
    .invo-form-col-6,
    .invo-form-col-12{
        width:50%;
    }
}
.invo-form-col-6,
.invo-form-col-12{    
    padding-left:10px;
    padding-right:10px;
}

.eael-contact-form-7 .wpcf7-form p span.wpcf7-form-control-wrap{
    display: block;
    margin-bottom:20px;
}

.invo-form-row p{
    width:100%;
}

.invo-form-col-12{
    width:100%
}

.invo-form-btns{display: flex;align-items: center;}

.wpcf7 {
        color: var(--e-global-color-secondary);
}

.wpcf7 .wpcf7-form > div:first-child + p{
    display:block;
    margin-bottom:10px !important;
}


.invo-form-row textarea{
    height: 138px;
}

.wpcf7 .wpcf7-acceptance input{
    vertical-align:middle;
    margin-top:-4px;
}

.wpcf7 .wpcf7-acceptance .wpcf7-list-item{
    margin-left:0;
}

.wpcf7-form .invo-form-acceptance span.wpcf7-form-control-wrap{
    margin:0;
}

.wpcf7-form .invo-form-acceptance .wpcf7-list-item-label{
    color: var(--e-global-color-secondary) !important;
    font-size: 12px;
    line-height: 1.4;
}

.wpcf7-form .invo-form-acceptance .wpcf7-list-item-label a{
    color:inherit;
    text-decoration:underline;
    font-size: inherit;
}

.wpcf7 form .wpcf7-response-output{
    border:none;
    background: #b12e2e;
    color:#fff;
    text-align:
    center;
    padding:10px 20px;
    border-radius:4px;
    font-weight:500;  
    margin:0 0 30px;
}

.wpcf7 form.sent .wpcf7-response-output {
    background:#15a591; /* Green */      
}
 
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output {
    background: #dc3232;
}
 
.wpcf7 form.spam .wpcf7-response-output {
    background: #f56e28; /* Orange */
}
 
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output {
    background: #b12e2e; /* Yellow */
}

.invo-form-btn {
    position:relative;
    width: 50%;
    text-align: right;
}

.invo-form-btn .wpcf7-spinner{
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translate(0, -50%);
}
.wpcf7-form p input.wpcf7-submit{
    margin-bottom:0 !important;
}


.invo-form-row input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]):not([type="submit"]):not([type="button"]),
.invo-form-row textarea{
    outline:none !important;
    color: var(--e-global-color-secondary);
    padding: 8px 20px;
    width:100%;
    background: #F5F5F5;
    border:none;
    border-radius: 8px;
    font-weight: 400;
    font-size: 16px;
    font-family: var( --e-global-typography-primary-font-family ), Sans-serif;
}

.invo-form-row input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]):not([type="submit"]):not([type="button"]):hover,
.invo-form-row textarea:hover{
    border-color:rgb(255 255 255/100%);
}

.invo-form-row input:not([type="checkbox"]):not([type="radio"]):not([type="submit"]):not([type="submit"]):not([type="button"])::placeholder,
.invo-form-row textarea::placeholder{
    color:rgb(29 29 27/50%);
    box-shadow:none !important;

}
.wpcf7-not-valid-tip{
    font-weight: 300;
    margin-top: 5px;
    font-size: 14px;
}

.wpcf7-form-control-wrap {
    position: relative;
}

.wpcf7-form-control-wrap input[type="radio"], .wpcf7-form-control-wrap input[type="checkbox"] {
    display: none;
}

.wpcf7-form-control-wrap input[type="radio"]+span, .wpcf7-form-control-wrap input[type="checkbox"]+span {
    position: relative;
    display: inline-block;
    vertical-align: top;
}
.wpcf7-form-control-wrap input[type="radio"]+span:before, .wpcf7-form-control-wrap input[type="checkbox"]+span:before {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    border:2px solid var( --e-global-color-primary );
    border-radius:12px;    
    line-height: 12px;    
    vertical-align: top;
    position: absolute;
    left: -30px;
    top: 0;
    transition: all 0.3s linear;
}

.wpcf7-form-control-wrap  input[type="checkbox"]+span:after {
content: '';
    width: 10px;
    height: 6px;
    border: 2px solid var(--e-global-color-primary);
    border-width: 2px 2px 0 0;
    text-align: center;
    position: absolute;
    top: 5px;
    left: -25px;
    transform: rotate(125deg) scale(0);
    transition: all 0.3s linear;
}
.wpcf7-form-control-wrap input[type="checkbox"]:checked+span:after {
    transform: rotate(125deg) scale(1);    
}

.wpcf7-form-control-wrap [class*="acceptance"] span.wpcf7-list-item{
  padding-left:30px;
  margin-left:0;
}

.wpcf7-form input.wpcf7-submit{    
    padding:8px 20px;
    border:none;
    border-radius:10px;
    font-size:17px;
    font-family: "Play", Sans-serif;
    outline: none;
    text-transform: uppercase;
}

.invo-header-right{
    position:relative;
}

.invo-header-right:before{
    content:'';
    display:block;
    position:absolute;
    top:0;    
    left:-36px;
    bottom:0;
    width:50px;
    background:#fff;
    transform:skew(-15deg);
}

.invo-header-right:after{
    content:'';
    display:block;
    position:absolute;
    right:-50vw;
    top:0;
    bottom:0;
    left:0;
    z-index:-1;
    background:var( --e-global-color-primary )
}

.invo-image-skew-r,
.invo-image-skew-l{
    position:relative
}

.invo-image-skew-r:before,
.invo-image-skew-l:before{
    content:'';
    display:block;
    position:absolute;
    top:-1px;
    bottom:-1px;
    width:42%;
    background:#fff;    
    left:100%;
    transform:skew(-18deg) translate(-122px, 0);
    height: auto;
}

.invo-sec-grey .invo-img-anim-r:after{
    background: #f5f5f5;
}

@media (max-width:1024px){
    .invo-image-skew-r:before, .invo-image-skew-l:before{
        width: 50%;
    }
}

@media (max-width:767px){
    .invo-image-skew-r:before,
    .invo-image-skew-l:before{
        display: none;
    }
    .invo-header-right:before{
        left: -30px;
    }
}

.invo-image-skew-l:before{
    left:0;
    background:#F5F5F5;
}

#page {
    overflow:hidden;
}

.invo-img-anim-l, .invo-img-anim-r{
    animation:none !important;
    opacity: 0;
}
.invo-img-anim-l:after,
.invo-img-anim-r:after{
    content:'';
    display:block;
    position:absolute;
    left:0;
    right:0;
    top:0;
    bottom:0;
    background:#fff;
    transition:all 1s linear;
}


.invo-img-anim-l.animated,
.animated .invo-img-anim-l,
.invo-img-anim-r.animated,
.animated .invo-img-anim-r{
    opacity: 1;
}



.invo-img-anim-l.animated:after,
.animated .invo-img-anim-l:after{
    left:100%;
}

.invo-img-anim-r.animated:after,
.animated .invo-img-anim-r:after{
    right:100%;
}



.invo-file-btn {
    display:inline-block;
    position:relative;
    border-radius:10px;
    border:2px solid rgb(29 29 27/30%);
    padding:12px 20px;
    color:var( --e-global-color-primary );
    transition:all 0.3s linear;
    cursor:pointer;
}

.invo-file-btn input{
    position:absolute;
    left:0;
    top:0;
    width:100%;
    height:100%;
    opacity:0;
    cursor: pointer;
}

.invo-file-btn:hover{
    background:var( --e-global-color-primary );
    color:#fff;
    border-color:var( --e-global-color-primary );
}

.invo-file-name:before{
    content: '\e80d';
    font-family: 'invicons';
    margin-right:10px; 
}

.invo-file-btn .invicon-upload{
    margin-right:12px;
}

.invo-form-btns p{
    margin:0;
}

.invo-form-acceptance{
    width:50%;
}

.invo-file-name{
    position:absolute;
    left:100%;
    top:50%;
    transform:translate(0, -50%) translate(-50px, 0);
    white-space:nowrap;
    margin-left:15px;
    max-width:150px;
    overflow:hidden;
    text-overflow:ellipsis;
    opacity:0;
    transition:all 0.3s linear;
}

.invo-file-btn.invo-active .invo-file-name{
    opacity:1;
    transform:translate(0, -50%) translate(0, 0);
}


.invo-file-btn:hover .invo-file-name{
    color:var( --e-global-color-primary )
}

.wpcf7-form-control-wrap input[type="radio"]:checked+span:before, .wpcf7-form-control-wrap input[type="checkbox"]:checked+span:before{
    width:20px;
    height:20px;
}

.invo-file-btn input[type="file"] + .wpcf7-not-valid-tip{
    position: absolute;
    top: 100%;
    white-space: nowrap;
    margin-top: 15px;
    left: -20px;
    font-size: 12px;
}

.invo-form-btn .wpcf7-spinner{
    width:188px;
    height:100%;
    border-radius:0;
    background:var( --e-global-color-primary );
    opacity:1;
    margin:0;
    border-radius:10px;
    
}

.invo-form-btn .wpcf7-spinner:before{
    left:50%;
    top:50%;
    margin:-7px 0 0 0;
}

@media (max-width:767px){
    .invo-form-btns{
        flex-wrap:wrap;
    }

    .invo-form-acceptance{
        width:100%
    }
    .invo-form-btn{
        width:100%;
    }
}

.invo-whatsup{
    position:fixed;
    right:20px;
    
    z-index:999;
    bottom:30px;
}

.invo-whatsup a{
    width:54px;
    height: 54px;
    line-height: 33px;
    transition: all 0.3s ease-in-out;
    display:block;
    transform:scale(1)
}

.invo-whatsup a:hover{
    transform:scale(1.2)
}